% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/drop_duplicate_fields.R
\name{drop_duplicate_fields}
\alias{drop_duplicate_fields}
\alias{dropDuplicateFields}
\title{Drop fields with duplicate data}
\usage{
drop_duplicate_fields(df, verbose = FALSE)

dropDuplicateFields(df, verbose = FALSE)
}
\arguments{
\item{df}{data.frame}

\item{verbose}{single logical value, if \code{TRUE} then produce verbose
messages}
}
\value{
data frame without duplicate fields
}
\description{
Compares all data in each field to every other field, and drops the latter
match. Will find multiple matches. Doesn't do any type conversions yet. This
is purely by content, not by field name.
}
\section{Functions}{
\itemize{
\item \code{dropDuplicateFields}: Deprecated
}}

\examples{
d <- data.frame(LETTERS, letters, letters)[1:10, ]
drop_duplicate_fields(d)
}
